## xmds2 2.2.0+dfsg1

=== debian/changelog ===
xmds2 (2.2.0+dfsg1-3) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout.
    Thanks to Gilles Filippini for the patch (Closes: 756702)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 02 Aug 2014 10:17:24 +0200

xmds2 (2.2.0+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * debian/source/options: Add diff-ignore options for dpkg-source
  * Install only *.xmds files in the example directory
  * Add dependency on python-pkg-resources
  * Override Lintian errors on missing sources for some *.js files
  * Do not use Xvfb to run the lorenz example with Octave

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Apr 2014 20:04:29 +0200

xmds2 (2.2.0+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.0+dfsg1
    In this new tarball, the automatically built file
    VectorInitialisationFromXSIL.py is removed, because it contains
    DFGS-incompatible code.
  * debian/copyright: Include the above file in the Files-Excluded list

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 02 Feb 2014 09:14:27 +0100

xmds2 (2.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.0+dfsg
  * Make the package DFSG-compliant (Closes: #736413):
    + debian/copyright Drop non-GFDL documentation files from the tarball
    + The tarball is now repacked (hence the "+dfsg" suffix in the upstream
      version number)
    + debian/watch: Change uscan rule accordingly, for mangling the
     "+dfsg" suffix in the upstream tarball name
    + debian/patches/remove-non-dfsg-code.patch: New patch for removing
      non-dfsg code in VectorInitialisationFromXSIL.tmpl
    + debian/copyright: Specify the licenses of files in
      documentation/_static
  * Also, drop from the upstream tarball the *.jar and *.pyc files, which
    are automatically built (Lintian warning)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Jan 2014 23:09:43 +0100

xmds2 (2.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * debian/patches/revision-number-as-deb-pkg.patch: New patch.
    This patch inserts the Debian package number in the notice shown by
    xmds2 and xsil2graphics2 at launching.
  * Imported Upstream version 2.2.0
  * Drop patches (applied upstream):
    + interpreter-name-in-shebang.patch
    + operator-bashism.patch
    + drop-dependency-on-sphinx.patch
    + string-quote-in-run-tests.patch
  * Add package xmds2-doc, with HTML and PDF forms of user documentation
  * debian/copyright: Reflect upstream changes
  * Drop dependencies on Cheetah, pyparsing and mpmath (guessed by dh_python2)
  * Drop useless dependency on python-setuptools
  * Use the appropriate version range in X-Python-Version
  * debian/patches/parse-dep-relationship.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Jan 2014 20:41:10 +0100

xmds2 (2.1.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Initial version for Debian (Closes: #597014, #734262)
  * debian/source/format: 3.0 (quilt)
  * debian/control:
    + Add mandatory build-dependency on python
    + Declare package to be architecture-independent
    + Drop unused build-dependency on cdbs
    + Drop useless dependencies on python-markdown
    + Drop ${shlibs:Depends} (this is an arch:all package)
    + Bump Standards-Version to 3.9.5
    + Declare the Debian Science Team as the maintainer
    + Use XS-Python-Version instead of deprecated XB-Python-Version
    + Drop duplicated dependency on python-pyparsing
    + Set Section to "science" and Priority to "extra"
    + Add Vcs-{Git,Browser} fields
    + Add paragraph to the Description field about the differences to xmds v1
    + Add dependency to libfftw3-mpi-dev and libgsl0-dev
    + Replace dependencies on mpich2 by mpi-default-{dev,bin}
    + Build-depend on all run-time dependencies, such that the unit test
      suite works
    + Add my name to the list of Uploaders
  * debian/rules: 
    + Remove the build directory in the clean rule
    + Run the lorenz.xmds example as unit test
    + Run the unit test suite run_tests.py
  * debian/watch: Add file for uscan
  * Bump the debhelper compatibility level to 9
  * debian/copyright:
    + DEP-5-compliant
    + Add licenses for third-party software (waf, dSFMT, and Solirte)
  * debian/docs: Drop the COPYRIGHT file (redundant with debian/copyright)
  * New patch interpreter-name-in-shebang.patch
  * New patch operator-bashism.patch
  * New patch drop-dependency-on-sphinx.patch
  * New patch string-quote-in-run-tests.patch

  [ Andreas Tille ]
  * debian/control: Priority: optional
  * cme fix dpkg-copyright

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 08 Jan 2014 10:17:41 +0100

xmds2 (2.1.2-1-20121121) wheezy-evmik; urgency=low

  * Debianization

 -- Eugeniy Mikhailov <evgmik@gmail.com>  Wed, 21 Nov 2012 15:11:20 -0500
