=== debian/control ===
--- 
+++ 
@@ -19,9 +19,7 @@
                python-mpmath,
                python-numpy,
                python-lxml,
-               python-cheetah,
-               xauth,
-               xvfb
+               python-cheetah
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.4, << 3
 Homepage: http://xmds.sourceforge.net/
@@ -42,6 +40,7 @@
          python-h5py,
          python-numpy,
          python-lxml,
+         python-pkg-resources,
          g++
 Description: eXtensible Multi-Dimensional Simulator
  XMDS is a code generator that integrates equations, from Ordinary
