=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

XMDS_USER_DATA = $(CURDIR)/debian/xmds-user-data

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
	HDF5_PATHS := --include-path=/usr/include/hdf5/serial \
		--lib-path=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

#DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --root=debian/xmds2 --install-layout=deb 

override_dh_auto_test:
	( export PYTHONPATH=$$(pwd) ;			\
	  export PATH=$$(pwd)/bin-test:$$PATH ;		\
	  export XMDS_USER_DATA=$(XMDS_USER_DATA) ;	\
	  unset CXXFLAGS ; export CXXFLAGS ; 		\
          export OMPI_MCA_plm_rsh_agent=/bin/false ;	\
	  mkdir bin-test ;				\
	  install -m 755 bin/* bin-test ; 		\
	  xmds2 --reconfigure $(HDF5_PATHS) ;		\
	  ./run_tests.py ;				\
	  cd ./examples ;				\
	  xmds2 lorenz.xmds ;				\
	  ./lorenz | grep '^\(Seg\|  Att\|Gen\)' ;	\
	  xsil2graphics2 -m lorenz.xsil ;		\
	  echo "source ('lorenz.m');			\
		figure ('visible', 'off');		\
		plot (t_1, xR_1);			\
		disp ('Octave plot succeeded')"		\
		| octave -qf )

override_dh_auto_clean:
	dh_clean
	cd xpdeint; waf/waf-light configure
	make clean
	rm -rf xmds2.egg-info/
	rm -f xpdeint/.lock-waf_linux2_build
	rm -f xpdeint/.wafpickle-98
	rm -f xpdeint/Version.py
	rm -rf xpdeint/c4che/
	rm -f xpdeint/config.log
	rm -rf build/
	( cd examples ; rm -f lorenz.cc lorenz lorenz.xsil lorenz.h5 lorenz.m )
	rm -rf testsuite_results $(XMDS_USER_DATA) bin-test
