=== xpdeint/support/wscript ===
--- 
+++ 
@@ -23,9 +23,9 @@
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 """
 
-import os, sys, platform
-
-from waflib import Task, TaskGen
+import os, sys, platform, re
+
+from waflib import Task, TaskGen, Errors
 from waflib.TaskGen import feature
 
 def options(opt):
@@ -117,15 +117,18 @@
         uselib_store = KWs['uselib_store']
         KWs['_skip'] = True
         del KWs['uselib_store']
+        extra_static_kws = KWs.get("static_lib_extra_options", {})
+        extra_shared_kws = KWs.get("shared_lib_extra_options", {})
+        
         options = [
-            {'stlib': lib,   'msg': "%s (static library)" % KWs['msg'], 'errmsg': "no (will try dynamic library instead)"},
-            {'lib'  : lib,   'msg': "%s (dynamic library)" % KWs['msg']},
+            dict(stlib=lib, msg=KWs['msg'] + " (static library)", errmsg="no (will try dynamic library instead)", **extra_static_kws),
+            dict(lib=lib,   msg=KWs['msg'] + " (dynamic library)", **extra_shared_kws),
         ]
         if not conf.env['STLIB_MARKER']:
             options = [
             # On systems like Mac OS X, it seems we can't force the linker to prefer static libraries over dynamic ones
             # Except of course by including them by listing the full path.
-                {'lib': lib}
+                dict(lib=lib, **extra_shared_kws),
             ]
         if not 'errmsg' in KWs:
             KWs['errmsg'] = "no (it's optional anyway)"
@@ -331,8 +334,3 @@
         
         
         check_cxx(
-            cxxflags="-g",
-            uselib_store="debug",
-            msg = "Checking for compiler debug flags"
-        )
-
