=== debian/changelog ===
xmds2 (2.2.2+dfsg-2) unstable; urgency=medium

  * d/control:
    + Update to ligsl-dev in Build-Depends and Depends
    + Add dh-python and gnuplot-nox to Build-Depends

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 16 Dec 2015 10:36:26 +0100

xmds2 (2.2.2+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.2.2+dfsg
  * d/watch: Mangle RC part of upstream tarball name

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 14 Oct 2014 07:05:55 -0300

xmds2 (2.2.1+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.2.1+dfsg
  * Add python-mpmath and python-scipy to Suggests
  * Drop patch parse-dep-relationship.patch (fixed in python-minimal 2.7.8-1)
  * Drop patch remove-non-dfsg-code.patch (applied upstream)
  * Drop patch show-library-name.patch (applied upstream)
  * Drop patch wscript-hdf5.patch (applied upstream)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 30 Sep 2014 22:06:15 -0300

xmds2 (2.2.0+dfsg1-4) unstable; urgency=low

  * Link against installed versions of files underscore.js and jquery.js.
    The xmds2-doc package now depends on libjs-jquery and
    libjs-underscore, complying with section 4.13 of the Debian Policy.
  * debian/patches/show-library-name.patch: New patch
  * Bump to Standards-Version 3.9.6, no changes needed
  * wscript-hdf5.patch: New patch for getting the correct flags for HDF5.
    Thanks to Gilles Filippini
  * d/copyright: Specify BSD licenses
  * Replace hyperlinks to Mathjax website by local ones in libjs-mathjax

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 21 Sep 2014 12:18:57 -0300
