=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9),
+               dh-python,
+               gnuplot-nox,
                libfftw3-dev,
                libfftw3-mpi-dev,
-               libgsl0-dev,
+               libgsl-dev,
                libhdf5-serial-dev,
                libatlas-base-dev,
                mpi-default-bin,
@@ -20,7 +22,7 @@
                python-numpy,
                python-lxml,
                python-cheetah
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4, << 3
 Homepage: http://xmds.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/xmds2.git
@@ -32,7 +34,7 @@
          ${misc:Depends},
          libfftw3-dev,
          libfftw3-mpi-dev,
-         libgsl0-dev,
+         libgsl-dev,
          libhdf5-serial-dev,
          libatlas-base-dev,
          mpi-default-bin,
@@ -42,6 +44,8 @@
          python-lxml,
          python-pkg-resources,
          g++
+Suggests: python-mpmath,
+          python-scipy
 Description: eXtensible Multi-Dimensional Simulator
  XMDS is a code generator that integrates equations, from Ordinary
  Differential Equations (ODEs) up to stochastic Partial Differential
@@ -57,7 +61,10 @@
 Package: xmds2-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery,
+         libjs-underscore,
+         libjs-mathjax
 Description: documentation for the eXtensible Multi-Dimensional Simulator
  XMDS is a code generator that integrates equations, from Ordinary
  Differential Equations (ODEs) up to stochastic Partial Differential
