=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,6 @@
 # -*- makefile -*-
 
 XMDS_USER_DATA = $(CURDIR)/debian/xmds-user-data
-
-ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
-	HDF5_PATHS := --include-path=/usr/include/hdf5/serial \
-		--lib-path=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
-endif
 
 #DH_VERBOSE=1
 
@@ -24,7 +19,7 @@
           export OMPI_MCA_plm_rsh_agent=/bin/false ;	\
 	  mkdir bin-test ;				\
 	  install -m 755 bin/* bin-test ; 		\
-	  xmds2 --reconfigure $(HDF5_PATHS) ;		\
+	  xmds2 --reconfigure ;				\
 	  ./run_tests.py ;				\
 	  cd ./examples ;				\
 	  xmds2 lorenz.xmds ;				\
@@ -49,3 +44,17 @@
 	rm -rf build/
 	( cd examples ; rm -f lorenz.cc lorenz lorenz.xsil lorenz.h5 lorenz.m )
 	rm -rf testsuite_results $(XMDS_USER_DATA) bin-test
+
+JSDIR = /usr/share/javascript
+INSTDIR = $(CURDIR)/debian/xmds2-doc
+DOCDIR = $(INSTDIR)/usr/share/doc/xmds2-doc
+override_dh_installdocs:
+	dh_installdocs
+	# Fix Lintian error privacy-breach-may-use-debian-package
+	sed -i 's|http://cdn.mathjax.org/mathjax/latest/|file:///usr/share/javascript/mathjax/|g;s|http://www.xmds.org/|file:///usr/share/doc/xmds2-doc/|g' $(DOCDIR)/*.html $(DOCDIR)/_static/*.js
+	for i in underscore jquery ; do						\
+		ln -fs $(JSDIR)/$$i/$$i.js $$(find $(INSTDIR) -name $$i.js) ;	\
+	done
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compression=xz
