=== debian/watch ===
version=3
opts="uversionmangle=s/^xmds-/xmds2-/;s/-rc/~rc/,dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/xmds/xmds-(.*)\.tar\.gz
