=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --root=debian/xmds2 --install-layout=deb
	python debian/fix-cheetah-build-str.py

override_dh_auto_test:
	debian/tests/run-tests -b

override_dh_auto_clean:
	cd xpdeint; waf/waf-light configure
	make clean
	dh_clean

JSDIR = /usr/share/javascript
INSTDIR = $(CURDIR)/debian/xmds2-doc
DOCDIR = $(INSTDIR)/usr/share/doc/xmds2
override_dh_installdocs:
	dh_installdocs
	# Fix Lintian error privacy-breach-may-use-debian-package
	sed -i 's|http://cdn.mathjax.org/mathjax/latest/|file:///usr/share/javascript/mathjax/|g;s|http://www.xmds.org/|file:///usr/share/doc/xmds2/|g' $(DOCDIR)/*.html $(DOCDIR)/_static/*.js
	for i in underscore jquery ; do						\
		ln -fs $(JSDIR)/$$i/$$i.js $$(find $(INSTDIR) -name $$i.js) ;	\
	done

get-orig-source:
	uscan --verbose --force-download --repack --compression=xz
