=== debian/tests/control ===
Tests: run-tests
Depends: xmds2, octave, gnuplot-nox
Restrictions: allow-stderr
