## xmds2 2.2.3+dfsg

=== xpdeint/wscript ===
#!/usr/bin/env python
# encoding: utf-8
"""
wscript

The waf build script to compile all Cheetah templates.

Created by Graham Dennis on 2009-02-22.

Copyright (c) 2009-2012, Graham Dennis

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""

top = '.'
out = '.'

def options(opt):
    opt.load('cheetah', tooldir='waf_extensions')

def configure(conf):
    conf.load('cheetah', tooldir='waf_extensions')
    conf.env['CHEETAH_SETTINGS'] = {
            'directiveStartToken': '@',
            'commentStartToken': '@#',
            'multiLineCommentStartToken': '@*',
            'multiLineCommentEndToken': '*@',
        }

def build(bld):
    sources = bld.path.ant_glob('**/*.tmpl')
    if bld.cmd == 'clean':
        for n in sources:
            n.change_ext('.py').delete()
        for n in bld.path.ant_glob('**/*.pyc'):
            n.delete()
    else:
        bld(source=sources)
