=== xpdeint/support/wscript ===
--- 
+++ 
@@ -229,7 +229,6 @@
             check_cxx(
                 cxxflags=['-fno-unsafe-math-optimizations', '-fno-finite-math-only'],
                 uselib_store="safe_math",
-                uselib='optimise',
                 msg = "Checking for cautious math flags"
             )
             
@@ -334,3 +333,4 @@
         
         
         check_cxx(
+            cxxflags="-g",
