=== debian/changelog ===
xmds2 (2.2.3+dfsg-8) unstable; urgency=medium

  * Add versioned (automatically generated) dependency on python-cheetah

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 20 Jun 2018 21:52:43 -0300

xmds2 (2.2.3+dfsg-7) unstable; urgency=medium

  * d/t/run-tests: Define OMPI_MCA_rmaps_base_oversubscribe.
    This variable was previously defined in d/rules and the setting was
    not taken into account by autokgtest at the Debian CI infrastructure.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 May 2018 15:15:14 -0300

xmds2 (2.2.3+dfsg-6) unstable; urgency=medium

  * Migrate get-orig-source into debian/watch
  * d/control: Bump Standards-Version to 4.1.4
  * d/rules:
    + Oversubscribe nodes for MPI unit tests (Closes: 897501)
    + Honor DEB_BUILD_OPTIONS in target override_dh_auto_test

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 May 2018 03:33:06 -0300

xmds2 (2.2.3+dfsg-5) unstable; urgency=medium

  * d/control: Build-depend on libhdf5-dev instead of transitional
    libhdf5-serial-dev (Closes: 879150)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 08 Jan 2018 18:07:16 -0200

xmds2 (2.2.3+dfsg-4) unstable; urgency=medium

  * Use debhelper compatibility level 11
  * d/xmds2-doc.doc-base: Use new (debhelper compat 11) paths for files
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use Debian's GitLab URLs in Vcs-* headers

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 Dec 2017 16:54:06 -0200

xmds2 (2.2.3+dfsg-3) unstable; urgency=medium

  * d/control: Use cgit URL in Vcs-Browser
  * d/u/metadata: Fix FAQ URL
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)
  * Add support for autopkgtest
  * d/clean: New file

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Oct 2017 04:03:47 -0300

xmds2 (2.2.3+dfsg-2) unstable; urgency=medium

  * d/copyright: Use secure URL in Format
  * d/watch: Upgrade to version 4
  * d/control: Bump Standards-Version to 4.0.0 (no changes needed)
  * Ensure reproducible build
    + d/fix-cheetah-build-str.py: New script for replacing
      timestamp and build paths generated by Cheetah
    + d/control: Build-depends on python-debian and python-dateutil
    + d/rules: Call fix-cheetah-build-str.py in the
      override_dh_auto_install rule

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Jun 2017 17:48:08 -0300

xmds2 (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.3+dfsg
  * d/copyright: Reflect upstream changes
  * Drop patch (applied upstream):
    + d/p/spelling-fix-in-manpage.patch
    + d/p/pyparsing-dict.patch
    + d/p/indexing-with-scalars.patch
  * d/s/lintian-overrides: Drop unused Lintian overrides
  * d/rules: Run unit tests in verbose mode

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 03 Feb 2017 18:49:15 -0200

xmds2 (2.2.2+dfsg-3) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/watch: Avoid listing the xmds-doc tarballs
  * d/u/metadata: Add citation
  * d/s/lintian-overrides: Refresh for new Lintian behavior
  * d/control: Use secure URIs in VCS fields
  * d/p/spelling-fix-in-manpage.patch: New patch
  * d/p/pyparsing-dict.patch: New patch
  * d/p/indexing-with-scalars.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Jan 2017 18:05:09 -0200
