=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9),
+Uploaders: Rafael Laboissiere <rafael@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-python,
                gnuplot-nox,
                libfftw3-dev,
                libfftw3-mpi-dev,
                libgsl-dev,
-               libhdf5-serial-dev,
+               libhdf5-dev,
                libatlas-base-dev,
                mpi-default-bin,
                mpi-default-dev,
                octave,
                python,
+               python-dateutil,
+               python-debian,
                python-h5py,
                python-setuptools,
                python-pyparsing,
@@ -22,11 +24,11 @@
                python-numpy,
                python-lxml,
                python-cheetah
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 X-Python-Version: >= 2.4, << 3
 Homepage: http://xmds.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/xmds2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/xmds2.git
+Vcs-Git: https://salsa.debian.org/science-team/xmds2.git
+Vcs-Browser: https://salsa.debian.org/science-team/xmds2
 
 Package: xmds2
 Architecture: all
@@ -39,6 +41,7 @@
          libatlas-base-dev,
          mpi-default-bin,
          mpi-default-dev,
+         python-cheetah (>= ${Cheetah-Version}),
          python-h5py,
          python-numpy,
          python-lxml,
