=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	python debian/fix-cheetah-build-str.py
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/tests/run-tests -b
+endif
 
 override_dh_auto_clean:
 	cd xpdeint; waf/waf-light configure
@@ -29,5 +31,5 @@
 		ln -fs $(JSDIR)/$$i/$$i.js $$(find $(INSTDIR) -name $$i.js) ;	\
 	done
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression=xz
+override_dh_gencontrol:
+	dh_gencontrol -- -VCheetah-Version="$(shell dpkg -s python-cheetah | grep ^Version: | cut -f2 -d\ )"
